OpenWrt libubox 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1963081 漏洞类型 缓冲区错误
发布时间 2020-03-16 更新时间 2020-03-24
CVE编号 CVE-2020-7248 CNNVD-ID CNNVD-202003-985
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-202003-985
|漏洞详情
OpenWrt是一套针对嵌入式设备的Linux操作系统。libubox是其中的一个提供事件循环、二进制格式处理、Linux链表实现和JSON辅助处理的基础库。 OpenWrt 18.06.7之前版本和19.07.1之前的19.x版本中的libubox存在缓冲区错误漏洞。攻击者可通过发送特制的请求利用该漏洞执行任意代码。
|参考资料

来源:MISC

链接:https://github.com/openwrt/openwrt/commits/master


来源:CONFIRM

链接:https://openwrt.org/advisory/2020-01-31-2


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2020-7248